Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.policy
Class PolicyItem

    java.lang.Object
      com.bea.p13n.entitlements.policy.PolicyItem

All Implemented Interfaces
  Serializable, Cloneable

Direct Known Subclasses:
  RolePolicyItem, SecurityPolicyItem

    public class PolicyItem

extends Object
implements Serializable, Cloneable

This base class encapsulates the information common to security policies and role policies. It is used to collect and hold security policy attributes during the process of building and managing policies.

See Also
  Serialized Form

Constructor Summary
`PolicyItem()`
`PolicyItem(String anEntAppName, String aWebAppName, String aResourceId, List aUserList, List aGroupList)`
`PolicyItem(String anEntAppName, String aWebAppName, String aResourceId, List aUserList, List aGroupList, P13nContextHandler aContextHandler)`

Method Summary
`Object` | `clone()`
`P13nContextHandler` | `getContextHandler()`
`Date` | `getCreatedDate()` Gets the date when this policy was created
`String` | `getDescription()` Gets the optional description used to describe this security policy.
`String` | `getEntAppName()`
`List` | `getGroupList()` Retrieves an existing list of group names from a policy entitlement expression.
`Date` | `getModifiedDate()` Gets the date when this policy was last modified
`int` | `getPolicyUser()`
`ProviderDescription` | `getProviderDescription()` Gets the security provider associated with this item
`String` | `getResourceId()`
`List` | `getUserList()` Retrieves an existing list of user names from a policy entitlement expression.
`String` | `getWebAppName()`
`void` | `setContextHandler(P13nContextHandler aP13nContextHandler)`
`void` | `setDescription(String aDescription)` Sets the optional description used to describe this policy.
`void` | `setEntAppName(String anEntAppName)`
`void` | `setGroupList(List aGroupList)` Update the value of the group list in this object.
`void` | `setPolicyUser(int aPolicyUser)`
`void` | `setProviderDescription(ProviderDescription aProviderDescription)` Sets the security provider associatied with this item
`void` | `setResourceId(String aResourceId)`
`void` | `setUserList(List aUserList)` Update the value of the user list in this object.
`void` | `setWebAppName(String aWebAppName)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyItem

    public PolicyItem()

### PolicyItem

    public PolicyItem(String anEntAppName,
                      String aWebAppName,
                      String aResourceId,
                      List aUserList,
                      List aGroupList)

### PolicyItem

    public PolicyItem(String anEntAppName,
                      String aWebAppName,
                      String aResourceId,
                      List aUserList,
                      List aGroupList,
                      P13nContextHandler aContextHandler)

Method Detail

### setEntAppName

    public void setEntAppName(String anEntAppName)

### getEntAppName

    public String getEntAppName()

### setWebAppName

    public void setWebAppName(String aWebAppName)

### getWebAppName

    public String getWebAppName()

### setResourceId

    public void setResourceId(String aResourceId)

### getResourceId

    public String getResourceId()

### setPolicyUser

    public void setPolicyUser(int aPolicyUser)

### getPolicyUser

    public int getPolicyUser()

### setContextHandler

    public void setContextHandler(P13nContextHandler aP13nContextHandler)

### getContextHandler

    public P13nContextHandler getContextHandler()

### setUserList

    public void setUserList(List aUserList)

  Update the value of the user list in this object. Subsequently, the persisted policy may be updated using the RolePolicyManager or SecurityPolicyManager, allowing the list of users in the entitlement expression to be rewritten.

  Parameters
    `aUserList` - A complete list of updated user names for the policy

### getUserList

    public List getUserList()

  Retrieves an existing list of user names from a policy entitlement expression.

  Returns
    A complete list of user names from the policy

### setGroupList

    public void setGroupList(List aGroupList)

  Update the value of the group list in this object. Subsequently, the persisted policy may be updated using the RolePolicyManager or SecurityPolicyManager, allowing the list of groups in the entitlement expression to be rewritten.

  Parameters
    `aGroupList` - A complete list of updated group names for the policy

### getGroupList

    public List getGroupList()

  Retrieves an existing list of group names from a policy entitlement expression.

  Returns
    A complete list of group names from the policy

### setDescription

    public void setDescription(String aDescription)

  Sets the optional description used to describe this policy.

### getDescription

    public String getDescription()

  Gets the optional description used to describe this security policy.

### getModifiedDate

    public Date getModifiedDate()

  Gets the date when this policy was last modified

### getCreatedDate

    public Date getCreatedDate()

  Gets the date when this policy was created

### getProviderDescription

    public ProviderDescription getProviderDescription()

  Gets the security provider associated with this item

### setProviderDescription

    public void setProviderDescription(ProviderDescription aProviderDescription)

  Sets the security provider associatied with this item

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws
    `CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.